Rhino C++ API 7.14
Deprecated List
Member CRhinoAnnotationSettings::DimScale () const
Dim scale property moved from document to a per ON_DimStyle property.
Member CRhinoAnnotationSettings::SetDimScale (double scale)
Dim scale property moved from document to a per ON_DimStyle property.
Member CRhinoApp::AddPageToObjectPropertiesDialog (class IRhinoPropertiesPanelPage *pPage, const CRhinoPlugIn *pPlugIn)
Derive a class from IRhinoAddPropertiesPages in your DLL to add pages
Member CRhinoApp::GetDocument (UINT_PTR doc_sn) const
use CRhinoDoc::FromRuntimeSerialNumber()
Member CRhinoApp::GetRhinoRegistryKey (ON_wString &result) const
use GetRhinoRootRegistryPath, GetRhinoPlugInsRegistryPath, GetRhinoSchemeRegistryPath, or GetRhinoGlobalOptionsRegistryPath
Member CRhinoApp::RemovePageFromObjectPropertiesDialog (class IRhinoPropertiesPanelPage *pPage)
Derive a class from IRhinoAddPropertiesPages in your DLL to add pages, the destructor will remove them automatically
Member CRhinoApp::StatusBarProgressMeterEnd ()
use CRhinoDoc::StatusBarProgressMeterEnd
Member CRhinoApp::StatusBarProgressMeterPos (int nPos, bool bAbsolute=true)
use CRhinoDoc::StatusBarProgressMeterPos
Member CRhinoApp::StatusBarProgressMeterStart (int nLower, int nUpper, const wchar_t *pszLabel=nullptr, bool bEmbedLabel=true, bool bShowPercent=true)
use CRhinoDoc::StatusBarProgressMeterStart
Member CRhinoAppFileSettings::m_keep_multiple_recycled_autosave_files
No longer supported
Member CRhinoAppSettings::DefaultMaterial () const
use CRhinoMaterialTable::DefaultMaterial
Member CRhinoAppSettings::LockedObjectMaterial () const
use CRhinoMaterialTable::DefaultLockedMaterial
Member CRhinoBitmapTable::Bitmap (const wchar_t *bitmap_filename, bool bLoadFromFile=false) const
use CRhinoBitmapTable::FindEmbeddedFile()
Member CRhinoDialog::SetEnableDisplayCommands (bool b)
use overload that takes document serial number
Member CRhinoDib::IsNormalMap (void) const
Use the version that takes parameters bLossyCompressionSource and bPositiveZComponent
Member CRhinoDib::ReadFromFile (const wchar_t *lpsFileName)
Use the version that takes doc_serial_number
Member CRhinoDimAngular::Draw (CRhinoDisplayPipeline &dp, const CRhinoObjectAttributes attribs) const
Do not user this version of Draw
Member CRhinoDimLinear::Draw (CRhinoDisplayPipeline &dp, const CRhinoObjectAttributes attribs) const
Do not user this version of Draw
Member CRhinoDimRadial::Draw (CRhinoDisplayPipeline &dp, const CRhinoObjectAttributes attribs) const
Do not user this version of Draw
Member CRhinoDisplayAttrsMgr::IntGDIWireframeAttrs (void)
CRhinoDisplayAttrsMgr::IntGDIWireframeAttrs is obsolete, please remove all references. Use CRhinoDisplayAttrsMgr::StdWireframeAttrs instead.
Member CRhinoDisplayAttrsMgr::IntOGLWireframeAttrs (void)
CRhinoDisplayAttrsMgr::IntOGLWireframeAttrs is obsolete, please remove all references. Use CRhinoDisplayAttrsMgr::StdWireframeAttrs instead.
Member CRhinoDisplayAttrsMgr::IntShadedAttrs (void)
CRhinoDisplayAttrsMgr::IntShadedAttrs is obsolete, please remove all references. Use CRhinoDisplayAttrsMgr::StdShadedAttrs instead.
Member CRhinoDisplayAttrsMgr::IsInternalAttributes (const CDisplayPipelineAttributes *)
CRhinoDisplayAttrsMgr::IsInternalAttributes is obsolete, please remove all references.
Member CRhinoDisplayEngine_OGL::GetFrameBufferObject ()
Do not use
Member CRhinoDisplayPipeline::Draw2dLine (const ON_2iPoint &, const ON_2iPoint &, HPEN, bool=true)
use alternate overloads of Draw2dLine
Member CRhinoDisplayPipeline::Draw2dRectangle (const ON_4iRect &rect, HPEN, bool=true)
use alternate overloads of Draw2dRectangle
Member CRhinoDisplayPipeline_OGL::CRhinoDisplayPipeline_OGL (HDC, CRhinoViewport &)
Use CRhinoDisplayPipeline_OGL(CRhinoViewport&) instead
Member CRhinoDoc::BoundingBox (bool bTight, bool bIncludeCustomRenderMeshes, bool bIncludeCurves) const

Prefer version with three arguments const ON_BoundingBox& BoundingBox(bool bIncludeCustomRenderMeshes = true) const;

Prefer BoundingBox function with three arguments const ON_BoundingBox& TightBoundingBox(bool bIncludeCustomRenderMeshes = true) const;

Member CRhinoDoc::NewView (const ON_3dmView &new_view)
use overload that accepts bShowView parameter
Member CRhinoDoc::RdkDocument () const
Use the direct access functions below (Sun, Skylight etc
Member CRhinoDocProperties::CustomRenderMeshSettings () const
use MeshParameters(ON_MeshParameters::custom_render_mesh)
Member CRhinoDocProperties::RenderMeshSettings () const
use RenderMeshParameters
Member CRhinoDocProperties::SetCustomRenderMeshSettings (const ON_MeshParameters &)
use SetCustomRenderMeshParameters
Member CRhinoDocProperties::SetRenderMeshSettings (const ON_MeshParameters &)
use SetRenderMeshStyle
Member CRhinoDrawCallback::BoundingBox (CRhinoViewport &vp, CRhinoDoc &doc)
use a custom CRhinoDisplayConduit
Member CRhinoDrawCallback::DrawBackground (CRhinoViewport &vp, CRhinoDoc &doc)
use a custom CRhinoDisplayConduit
Member CRhinoDrawCallback::DrawDecorations (CRhinoView *pVP, CDC *pDC, CRhinoViewport &vp, CRhinoDoc &doc)
use a custom CRhinoDisplayConduit
Member CRhinoDrawCallback::DrawEverything (CRhinoView &view, ON_BoundingBox bbox, CDC *pDC, CRhinoViewport &vp, CRhinoDoc &doc)
use a custom CRhinoDisplayConduit
Member CRhinoDrawCallback::DrawForeground (CRhinoViewport &vp, CRhinoDoc &doc)
use a custom CRhinoDisplayConduit
Member CRhinoDrawCallback::DrawMiddleground (CRhinoViewport &vp, CRhinoDoc &doc)
use a custom CRhinoDisplayConduit
Member CRhinoExtrusionObject::BrepProxy (void) const
use BrepReferenceCounter
Member CRhinoFileExportPlugIn::OnPaintFileDialogPreviewImage (const wchar_t *lpsFileName, HWND hWnd)
see GetFileDialogPreviewImageAndNotes
Member CRhinoFileUtilities::FindFile (int first_place_to_look, const wchar_t *full_path, const wchar_t *relative_path, const wchar_t *parent_path, ON_wString &found_file_path)
use overload that takes doc_serial_number parameter
Member CRhinoFileUtilities::FindFile (const wchar_t *lpsFileName, ON_wString &result)
use overload that takes doc_serial_number parameter
Member CRhinoFileUtilities::FindFile (const char *lpsFileName, ON_wString &result)
use overload that takes doc_serial_number parameter
Member CRhinoFileUtilities::ModelFolder (ON_wString &result)
use overload that takes doc_serial_number parameter
Member CRhinoGetPoint::DynamicDraw (HDC, CRhinoViewport &, const ON_3dPoint &)
override DynamicDraw(CRhinoDisplayPipeline&, const ON_3dPoint&) instead
Member CRhinoGripObjectEx::AddDragConstraints (class CRhinoGetPoint &gp) const override
Use CRhinoGripObject in place of CRhinoGripObjectEx
Member CRhinoGroup::IsReference () const
use CRhinoGroup::IsReferenceComponent()
Member CRhinoGumballColors::SetToFactoryColors ()
use CRhinoGumballColors::Reset
Member CRhinoGumballSizes::SetToFactorySizes ()
use CRhinoGumballSizes::Reset
Member CRhinoHatchPatternTable::FindHatchPattern (const wchar_t *name, bool bIgnoreDeleted=true) const
use CRhinoHatchPatternTable::HatchPatternFromName()
Member CRhinoLayerTable::FindLayerFromUniqueName (const wchar_t *short_name, bool bIgnoreDeletedLayers=true) const
use overload that accepts not_found_return_value and multiple_found_return_value parameters
Member CRhinoObject::Draw (CRhinoViewport &) const
use Draw function that takes a display pipeline
Member CRhinoObjRef::CRhinoObjRef (class CRhinoPolyEdge *polyedge, ON_3dmObjectAttributes *attributes)
Use the form that takes a document serial number
Member CRhinoObjRef::CRhinoObjRef (const ON_ObjRef &)
Use the form that takes a document serial number and ON_ObjRef
Member CRhinoObjRef::CRhinoObjRef (const UUID &object_uuid)
Use the form that takes a document serial number and object Id
Member CRhinoPlugIn::AddPagesToObjectPropertiesDialog (CRhinoPropertiesPanelPageCollection &collection)
Use IRhinoAddPropertiesPages to add object properties panels instead.
Member CRhinoPlugIn::GetLicense (unsigned int capabilities, const wchar_t *text_mask)
Call SetLicenseCapabilities, then GetLicense(void) instead.
Member CRhinoPlugInRecord::PreviousPlugInLoadTime () const
Not used in Rhino
Member CRhinoPrintInfo::DrawToSingleDib (CRhinoDib &full_dib, bool force_GDI_pipeline=false, bool bForPrinting=true) const
Use the DrawToSingleDib2
Member CRhinoRenderOverlays::CRhinoRenderOverlays ()
use CRhinoRenderOverlays::CRhinoRenderOverlays(const CRhinoDoc&)
Member CRhinoSdkRender::~CRhinoSdkRender ()
Use CRhRdkSdkRender instead CRhinoSdkRender( CRhinoDoc& doc, CRhinoRenderPlugIn* plugin);
Member CRhinoSdkRenderEx2::NewRenderFrameEx (CRhinoDoc *pDocument)=0
Use CRhRdkSdkRender instead CRhinoSdkRenderEx2(CRhinoDoc& doc, CRhinoRenderPlugIn* plugin);
Member CRhinoSdkRenderEx::~CRhinoSdkRenderEx ()
Use CRhRdkSdkRender instead CRhinoSdkRenderEx( CRhinoDoc& doc, CRhinoRenderPlugIn* plugin);
Member CRhinoSubDDisplay::ContentSerialNumber () const
OBSOLETE. ContentSerialNumber() always returns 0
Member CRhinoSubDObject::DynamicDisplayContentSerialNumber () const
OBSOLETE: Always returns 0.
Member CRhinoSubDObject::StaticDisplayContentSerialNumber () const
OBSOLETE: Always returns 0.
Member CRhinoTabbedDockBarDialog::DockBarForTab (const CRhinoDoc &doc, const ON_UUID &uuidPanelId)
CRhinoTabbedDockBarDialog::DockBarForTab is obsolete. Use multi-doc capable CRhinoTabbedDockBarDialog::DockBarsForTab (s after Bar).
Member CRhinoTabbedDockBarDialog::OnShowDockBar (bool bShowDockBar)
Replaced by CRhinoTabbedDockBarDialog::OnShowDockBar(IDockBarEventWatcher::ShowEventArgs)
Member CRhinoTabbedDockBarDialog::ShowDockbarTab (const CRhinoDoc &doc, const ON_UUID &uuidPanelId, bool bShow, bool bMakeSelected, const ON_UUID *uuidDockBar)
Use the version with bMakeSelected static void ShowDockbarTab(const CRhinoDoc& doc, const ON_UUID& uuidPanelId, bool bShow, const ON_UUID* uuidDockBar);
Member CRhinoUiDockBar::OnShowDockBar (bool show)
Replaced by CRhinoUiDockBar::OnShowDockBar(ShowEventArgs)
Member CRhinoUiLinetypeListCtrl::GetAddedLinetypes (ON_ClassArray< ON_Linetype > &linetypes)
use version with ON_ObjectArray parameter
Member CRhinoUiLinetypeListCtrl::GetAllLinetypes (ON_ClassArray< ON_Linetype > &linetypes)
use version with ON_ObjectArray parameter
Member CRhinoUiLinetypeListCtrl::GetDeletedLinetypes (ON_ClassArray< ON_Linetype > &linetypes)
use version with ON_ObjectArray parameter
Member CRhinoUiLinetypeListCtrl::GetModifiedLinetypes (ON_ClassArray< ON_Linetype > &linetypes)
use version with ON_ObjectArray parameter
Member CRhinoUiLinetypeListCtrl::GetSelectedLinetypes (ON_ClassArray< ON_Linetype > &linetypes)
use version with ON_ObjectArray parameter
Member CRhinoView::MFCViewEx (void)
Do not call - use CRhViewBase::FromRhinoView
Member CRhinoView::MFCViewEx (void) const
Do not call - use CRhViewBase::FromRhinoView
Member CRhinoViewport::DrawActivePoint (const ON_3dPoint &)
use CRhinoDisplayPipeline::DrawPoint
Member CRhinoViewport::DrawArc (const ON_Arc &)
use CRhinoDisplayPipeline::DrawArc
Member CRhinoViewport::DrawBezier (const ON_BezierCurve &)
use CRhinoDisplayPipeline::DrawBezier
Member CRhinoViewport::DrawBezierCage (const ON_BezierSurface &, int display_density=1)
use CRhinoDisplayPipeline::DrawBezierCage
Member CRhinoViewport::DrawBezierSurface (const ON_BezierSurface &, int display_density=1)
use CRhinoDisplayPipeline::DrawBezierSurface
Member CRhinoViewport::DrawBoundingBox (const ON_BoundingBox &)
use CRhinoDisplayPipeline::DrawBox
Member CRhinoViewport::DrawBox (const ON_3dPoint *box_corners)
use CRhinoDisplayPipeline::DrawBox
Member CRhinoViewport::DrawBrep (const ON_Brep &, int display_density=1)
use CRhinoDisplayPipeline::DrawBrep
Member CRhinoViewport::DrawCircle (const ON_Circle &)
use CRhinoDisplayPipeline::DrawCircle
Member CRhinoViewport::DrawColor () const
use CRhinoDisplayPipeline::ObjectColor
Member CRhinoViewport::DrawCone (const ON_Cone &cone)
use CRhinoDisplayPipeline::DrawCone
Member CRhinoViewport::DrawConstructionPlane (const ON_3dmConstructionPlane &cplane, BOOL bShowConstructionGrid, BOOL bShowConstructionAxes, BOOL bShowConstructionZAxis, COLORREF thin_line_color=ON_UNSET_COLOR, COLORREF thick_line_color=ON_UNSET_COLOR, COLORREF grid_x_axis_color=ON_UNSET_COLOR, COLORREF grid_y_axis_color=ON_UNSET_COLOR)
use CRhinoDisplayPipeline::DrawConstructionPlane
Member CRhinoViewport::DrawCurve (const ON_Curve &curve)
use CRhinoDisplayPipeline::DrawCurve
Member CRhinoViewport::DrawCylinder (const ON_Cylinder &cylinder)
use CRhinoDisplayPipeline::DrawCylinder
Member CRhinoViewport::DrawDirectionArrow (const ON_3dPoint &, const ON_3dVector &, ON_3dPoint *head_point=NULL)
use CRhinoDisplayPipeline::DrawDirectionArrow
Member CRhinoViewport::DrawDot (ON_3dPoint point, const wchar_t *text=NULL, COLORREF dot_color=RGB(0, 0, 0), COLORREF text_color=ON_UNSET_COLOR)
use CRhinoDisplayPipeline::DrawDot
Member CRhinoViewport::DrawDot (int screen_x, int screen_y, const wchar_t *text=NULL, COLORREF dot_color=RGB(0, 0, 0), COLORREF text_color=ON_UNSET_COLOR)
use CRhinoDisplayPipeline::DrawDot
Member CRhinoViewport::DrawDottedLine (const ON_3dPoint &, const ON_3dPoint &)
use CRhinoDisplayPipeline::DrawDottedLine
Member CRhinoViewport::DrawExtrusion (const ON_Extrusion &)
use CRhinoDisplayPipeline::DrawExtrusion
Member CRhinoViewport::DrawFalseColorMesh (const ON_Mesh *, bool bCullCW, COLORREF edge_color=ON_UNSET_COLOR)
use CRhinoDisplayPipeline::DrawShadedMesh
Member CRhinoViewport::DrawLight (const ON_Light &light, COLORREF wireframe_color)
use CRhinoDisplayPipeline::DrawLight
Member CRhinoViewport::DrawLine (const ON_3dPoint &, const ON_3dPoint &)
use CRhinoDisplayPipeline::DrawLine
Member CRhinoViewport::DrawNurbsCage (const ON_NurbsCage &, int display_density=1)
use CRhinoDisplayPipeline::DrawNurbsCage
Member CRhinoViewport::DrawNurbsCurve (const ON_NurbsCurve &nurbs_curve)
use CRhinoDisplayPipeline::DrawNurbsCurve
Member CRhinoViewport::DrawNurbsSurface (const ON_NurbsSurface &, int display_density=1)
use CRhinoDisplayPipeline::DrawNurbsSurface
Member CRhinoViewport::DrawPoint (const ON_3dPoint &, const ON_3dVector *=nullptr)
use CRhinoDisplayPipeline::DrawPoint
Member CRhinoViewport::DrawPointCloud (int point_count, const ON_3dPoint *points, const ON_3dPoint &origin)
use CRhinoDisplayPipeline::DrawPoints
Member CRhinoViewport::DrawRenderPreviewMesh (const ON_Mesh *, const CRhinoMaterial &render_material, BOOL bCullCW, BOOL bHighlighted)
use CRhinoDisplayPipeline::DrawShadedMesh
Member CRhinoViewport::DrawRhinoObject (const CRhinoObject *, ON_Xform xform, ON_Color color=ON_UNSET_COLOR)
use CRhinoDisplayPipeline::DrawObject
Member CRhinoViewport::DrawShadedMesh (const ON_Mesh *, bool bCullCW, bool bFlatShade, bool bHighlighted)
use CRhinoDisplayPipeline::DrawShadedMesh
Member CRhinoViewport::DrawSphere (const ON_Sphere &sphere)
use CRhinoDisplayPipeline::DrawSphere
Member CRhinoViewport::DrawString (const wchar_t *string, int slength, const ON_3dPoint &point, int bMiddle=false, int rotation=0, int height=12, const wchar_t *fontface=L"Arial")
use CRhinoDisplayPipeline::DrawString
Member CRhinoViewport::DrawSurface (const ON_Surface &, int display_density=1)
use CRhinoDisplayPipeline::DrawSurface
Member CRhinoViewport::DrawTangentBar (const ON_3dPoint &, const ON_3dVector &, ON_3dPoint *start_point=NULL, ON_3dPoint *end_point=NULL)
use CRhinoDisplayPipeline::DrawTangentBar
Member CRhinoViewport::DrawTorus (const ON_Torus &torus)
use CRhinoDisplayPipeline::DrawTorus
Member CRhinoViewport::DrawTriangle (const ON_3dPoint corners[3])
use CRhinoDisplayPipeline::DrawTriangle
Member CRhinoViewport::DrawTriangle (const ON_3dPoint &p0, const ON_3dPoint &p1, const ON_3dPoint &p2)
use CRhinoDisplayPipeline::DrawTriangle
Member CRhinoViewport::DrawWireframeMesh (const ON_Mesh *, BOOL bCullCW)
use CRhinoDisplayPipeline::DrawWireframeMesh
Member CRhinoViewport::InterruptDrawing () const
use CRhinoDisplayPipeline::InterruptDrawing
Member CRhinoViewport::SetDrawColor (COLORREF color)
use CRhinoDisplayPipeline::SetObjectColor
Member CRhinoWorkSession::GetActiveWorksessionRuntimeSerialNumbers (ON_SimpleArray< unsigned int > &ws_serialnos)
use CRhinoWorkSession::GetWorksessionFromDocument
Member CRhRdkContent::Document (void) const
This method is not implemented and returns null. Please use one of the other document methods to get the RDK Document, then use CRhRdkDocument::RhinoDoc() and check for null.
Member CRhRdkContent::RdkDocumentRegistered (void) const
This method is obsolete.
Class CRhRdkContentAdded
OBSOLETE
Class CRhRdkContentAddedByUser
OBSOLETE
Class CRhRdkContentMoved
OBSOLETE
Class CRhRdkContentMultipleSelection
OBSOLETE
Member CRhRdkCustomRenderSaveFileType
in favor of CRhRdkFileType
Class CRhRdkEventSink
OBSOLETE - Please use CRhRdkEventWatcher instead
Class CRhRdkEventSinkBase
OBSOLETE -
Class IRhRdkCompoundContentImplementor
in favor of CRhRdkCompoundContentImplementor
Class IRhRdkContentEditorCustomButtonInterface
in favor of CRhRdkContentEditorCustomButtonProvider
Class IRhRdkContentFactory
in favor of CRhRdkContentFactory
Class IRhRdkContentIOPlugIn
in favor of CRhRdkContentIOPlugIn
Class IRhRdkCustomPlugIn
in favor of CRhRdkExtension
Class IRhRdkCustomRenderFrameMenu
in favor of CRhRdkCustomRenderFrameMenu
Class IRhRdkCustomRenderFrameToolBar
in favor of CRhRdkCustomRenderFrameToolBar
Class IRhRdkCustomRenderMeshProvider
in favor of CRhRdkCustomRenderMeshProvider
Class IRhRdkPostEffectPlugInFactories
in favor of CRhRdkPostEffectPlugInFactories
Class IRhRdkPostEffectPlugInFactory
in favor of CRhRdkPostEffectPlugInFactory
Class IRhRdkRenderFrameTabFactory
in favor of CRhRdkRenderFrameTabFactoryEx
Class IRhRdkRenderWindowCustomDlg
in favor of CRhRdkRenderWindowCustomDlg
Class IRhRdkRenderWindowEventSink
in favor of CRhRdkRenderWindowEventSink
Member ON_2dPoint::Zero ()
Use p = ON_2dPoint::Origin;
Member ON_2dVector::Reverse ()
Use v = -v;
Member ON_2dVector::Zero ()
Use v = ON_2dVector::ZeroVector;
Member ON_2fPoint::Zero ()
Use p = ON_2fPoint::Origin;
Member ON_2fVector::Reverse ()
Use v = -v;
Member ON_2fVector::Zero ()
Use p = ON_2fVector::ZeroVector;
Member ON_3fPoint::Zero ()
Use p = ON_3fPoint::Origin;
Member ON_3fVector::Reverse ()
Use v = -v;
Member ON_3fVector::Zero ()
Use p = ON_3fVector::ZeroVector;
Member ON_BezierCurve::Reparametrize (double)
misspelled - use Reparameterize
Member ON_BinaryArchive::BeginRead3dmBigChunk (unsigned int *, ON__INT64 *)
use BeginRead3dmBigChunk bool BeginRead3dmChunk( unsigned int*, ///< typecode from opennurbs_3dm.h int* ///< value );
Member ON_BinaryArchive::BeginWrite3dmUserTable (const ON_UUID &)
use BeginWrite3dmUserTable(plugin_id, bSavingGoo, 3dm_version, opennurbs_version)
Member ON_BinaryArchive::PeekAt3dmChunkType (unsigned int *, int *)
use PeekAt3dmBigChunkType
Member ON_BinaryArchive::ReadStringSize (size_t *str_array_count)
Use either ReadStringUTF8ElementCount() or ReadStringUTF16ElementCount()
Member ON_BinaryArchive::Write3dmAnonymousUserTable (const class ON_3dmGoo &)
use Write3dmAnonymousUserTableRecord(plugin_id, ..., goo)
Member ON_Brep::IsDuplicate (const ON_Brep &other, double tolerance=ON_ZERO_TOLERANCE) const
Does nothing. Delete call.
Member ON_Dimension::ForceArrowPosition () const
ON_Dimension::ArrowFit(const ON_DimStyle* parent_style)
Member ON_Dimension::ForceTextPosition () const
ON_Dimension::TextFit(const ON_DimStyle* parent_style)
Member ON_Dimension::SetForceArrowPosition (ForceArrow force)
ON_Dimension::SetArrowFit(const ON_DimStyle* parent_style,ON_DimStyle::arrow_fit arrowfit)
Member ON_Dimension::SetForceTextPosition (ForceText force)
ON_Dimension::SetTextFit(const ON_DimStyle* parent_style,ON_DimStyle::text_fit textfit)
Member ON_Dimension::SetTextRotation (double rotation_radians)
ON_Dimension::SetTextRotation() is a mistake. Use ON_Annotation::SetTextRotationRadians().
Member ON_Dimension::TextRotation () const
ON_Dimension::TextRotation() is a mistake. Use ON_Annotation::TextRotationRadians().
Member ON_Extrusion::DestroyMesh (ON::mesh_type mt)
Use ON_Extrusion.m_mesh_cache to managed chached meshes
Member ON_Extrusion::FaceCount () const
Use CapCount(), ProfileCount(), or ProfileSmoothSegmentCount()
Member ON_Extrusion::Mesh (ON::mesh_type mt) const
Use ON_Extrusion.m_mesh_cache to managed chached meshes
Member ON_Extrusion::SetMesh (ON::mesh_type mt, ON_Mesh *mesh)
Use ON_Extrusion.m_mesh_cache to managed chached meshes
Member ON_FileSystemPath::IsDirectory (const wchar_t *path)
Use ON_FileSystem::IsDirectory
Member ON_FileSystemPath::IsDirectory (const char *path)
Use ON_FileSystem::IsDirectory
Member ON_FileSystemPath::IsFile (const char *path)
Use ON_FileSystem::IsFile
Member ON_FileSystemPath::IsFile (const wchar_t *path)
Use ON_FileSystem::IsFile
Member ON_FileSystemPath::PathExists (const char *path)
Use ON_FileSystem::PathExists
Member ON_FileSystemPath::PathExists (const wchar_t *path)
Use ON_FileSystem::PathExists
Member ON_Font::AppleFontName () const
Use ON_Font::PostScriptName(ON_Font::NameLocale)
Member ON_Font::AppleFontNameAsPointer () const
Use ON_Font::PostScriptName(ON_Font::NameLocale)
Member ON_Font::FontDescription () const
Use ON_Font::Description() or ON_Font::PostScriptName()
Member ON_Font::FontDescriptionAsPointer () const
Use ON_Font::PostScriptName()
Member ON_Font::FontFaceName () const
Use ON_Font::WindowsLogfontName(ON_Font::NameLocale)
Member ON_Font::GetManagedFontFromAppleFontName (const char *postscript_name)
Use ON_Font::GetManagedFontFromPostScriptName()
Member ON_Font::GetManagedFontFromAppleFontName (const wchar_t *postscript_name)
Use ON_Font::GetManagedFontFromPostScriptName()
Member ON_Font::GetStrikeoutPosition () const
Use FontMetrics().StrikeoutPosition()
Member ON_Font::GetStrikeoutSize () const
Use FontMetrics().StrikeoutThickness()
Member ON_Font::GetUnderscorePosition () const
Use FontMetrics().UnderscorePosition()
Member ON_Font::GetUnderscoreSize () const
Use FontMetrics().UnderscoreThickness()
Member ON_Font::HeightOfI () const
Use FontMetrics().AscentOfCapital()
Member ON_Font::HeightOfLinefeed () const
Use FontMetrics().LineSpace()
Member ON_Font::HeightScale (double text_height) const
Use FontMetrics().GlyphScale()
Member ON_Font::LinefeedRatio () const
Use ON_FontMetrics::DefaultLineFeedRatio
Member ON_Font::ManagedFontFromRichTextProperties (const wchar_t *rtf_font_name, bool bRtfBold, bool bRtfItalic, bool bRftUnderlined, bool bRftStrikethrough)
Call ON_Font::FontFromRichTextProperties()
Member ON_Font::SetFontDescriptionForExperts (const wchar_t *ignored_parameter)
V6 ON_Font does not have a description property.
Member ON_Font::SetFontFaceName (const wchar_t *windows_logfont_name)
Use ON_Font::SetFromDWriteFont(), ON_Font::SetFromAppleFont(), or ON_Font::SetFromWindowsLogFont()
Member ON_FontGlyph::FontGlyphId () const
Use FontGlyphIndex()
Member ON_FontGlyph::FontGlyphIdIsSet () const
Use FontGlyphIndexIsSet()
Member ON_FontList::FromRichTextProperties (const wchar_t *rtf_font_name, bool bRtfBold, bool bRtfItalic, bool bUnderlined, bool bStrikethrough) const
Use the static ON_Font::FontFromRichTextProperties()
Member ON_Mesh::MeshTree () const
Call MeshTree(true)
Member ON_PolyCurve::HasGap () const
Replace calls to HasGap() with FindNextGap(0)
Member ON_PolyCurve::RemoveNestingEx ()
Use RemoveNesting(). RemoveNestingEx() will be removed in the next release.
Member ON_SHA1_Hash::IsZeroDigentOrEmptyContentHash () const
Use IsZeroDigestOrEmptyContentHash() instead. (Spelling error in this one's name.
Member ON_SleepLock::IsLocked () const
ON_SleepLock::IsLocked() is not reliable. Do not use it. It will be deleted in the next SDK.
Member ON_Sphere::RevSurfaceForm (ON_RevSurface *srf=nullptr) const
Call RevSurfaceForm(false,srf)
Member ON_String::Compare (const char *) const
Use CompareOrdinal(), ComparePath(), CompareAttributeName(), or a test that is linguistically apprropriate
Member ON_String::Compare (const unsigned char *) const
Use CompareOrdinal(), ComparePath(), CompareAttributeName(), or a test that is linguistically apprropriate
Member ON_String::CompareNoCase (const char *) const
Use CompareOrdinal(), ComparePath(), CompareAttributeName(), or a test that is linguistically apprropriate
Member ON_String::CompareNoCase (const unsigned char *) const
Use CompareOrdinal(), ComparePath(), CompareAttributeName(), or a test that is linguistically apprropriate
Member ON_String::EnableReferenceCounting (bool bEnable)
Obsolete - does nothing.
Member ON_SubD::MakeReflectSymmetric (ON_Symmetry symmetry)
Call ON_SubD::MakeSymmetric(symmetry);
Member ON_SubD::MakeSymmetric (ON_Symmetry symmetry, bool bIgnoredParameter1, bool bIgnoredParameter2)
Obsolete - call ON_SubD::MakeSymmetric()
Member ON_SubD::SnapPointsToPlane (ON_PlaneEquation plane_equation, double distance_tolerance)
Obsolete - use ProjectVerticesToPlane
Member ON_SubDComponentBase::ClearSubdivisionDisplacement () const
Does nothing.
Member ON_SubDComponentBase::GetSubdivisionDisplacement (double *) const
Does nothing. Returns false.
Member ON_SubDComponentBase::SetSubdivisionDisplacement (const double *)
Does nothing. Returns false.
Member ON_SubDComponentBase::SubdivisionDisplacement () const
Does nothing. Returns nans.
Member ON_SubDComponentBase::SubdivisionDisplacementIsNonzero () const
Does nothing. Returns false.
Member ON_SubDDisplayParameters::DisplayDensity () const
Use DisplayDensity(subd)
Member ON_SubDDisplayParameters::SetDisplayDensity (unsigned int adaptive_display_density)
Use SetAdaptiveDisplayDensity()
Member ON_SubDMesh::DisplayDensity () const
AbsoluteSubDDisplayDensity
Member ON_SubDMeshFragmentGrid::LevelOfDetail () const
Identical to DisplayDensityReduction(). Use DisplayDensityReduction() instead because its a better name.
Member ON_SubDQuadFacePackSide::IsPackable () const
Incorrectly implemented. Do not use.
Member ON_SubDQuadFacePackSide::Mark () const
Use ON_SubDQuadFacePackSide::FaceMark()
Member ON_SubDQuadFacePackSide::SetMark (bool bFaceMark) const
Use ON_SubDQuadFacePackSide::SetFaceMark(bFaceMark)
Member ON_TextDot::Point () const
use CenterPoint
Member ON_TextDot::SetPoint (const ON_3dPoint &point)
use SetCenterPoint
Member ON_TextDot::SetTextString (const wchar_t *string)
use SetPrimaryText
Member ON_TextDot::TextString () const
use PrimaryText
Member ON_UnitSystem::MetersPerUnit () const
MetersPerUnit() returns the wrong value. Use this->MetersPerUnit(ON_DBL_QNAN)
Member ON_UnitSystem::SetCustomUnitSystemName (const wchar_t *custom_unit_name)
Use SetCustomUnitSystem()
Member ON_UnitSystem::SetCustomUnitSystemScale (double meters_per_custom_unit)
Use SetCustomUnitSystem()
Member ON_Viewport::Initialize ()
Use = ON_Viewport::DefaultTopViewYUp
Member ON_wString::EnableReferenceCounting (bool bEnable)
Obsolete - does nothing.
Member ON_Xform::Diagonal (double d)
Use xform = ON_Xform::DiagonalTransformation(d);
Member ON_Xform::Identity ()
Use xform = ON_Xform::IdentityTransformation;
Member ON_Xform::Scale (double x_scale_factor, double y_scale_factor, double z_scale_factor)
Use xform = ON_Xform::DiagonalTransformation(x_scale_factor,z_scale_factor,z_scale_factor);
Member ON_Xform::Scale (const ON_3dVector &scale_vector)
Use xform = ON_Xform::DiagonalTransformation(scale_vector);
Member ON_Xform::Scale (const ON_Plane &plane, double x_scale_factor, double y_scale_factor, double z_scale_factor)
Use xform = ON_Xform::ScaleTransformation(plane,x_scale_factor,y_scale_factor,z_scale_factor)
Member ON_Xform::Scale (ON_3dPoint fixed_point, double scale_factor)
Use xform = ON_Xform::ScaleTransformation(fixed_point,scale_factor)
Member ON_Xform::Shear (const ON_Plane &plane, const ON_3dVector &x1, const ON_3dVector &y1, const ON_3dVector &z1)
Use xform = ON_Xform::ShearTransformation(plane,x1,y1,z1);
Member ON_Xform::Translation (const ON_3dVector &delta)
Use xform = ON_Xform::TranslationTransformation(delta);
Member ON_Xform::Translation (double dx, double dy, double dz)
Use xform = ON_Xform::TranslationTransformation(dx,dy,dz);
Member ONX_Model::GetRDKEmbeddedFiles (const ONX_Model_UserData &docud, ON_ClassArray< ON_wString > &paths, ON_SimpleArray< unsigned char * > &embedded_files_as_buffers)
This function is deprecated as it did not return the buffer sizes, making it useless
Member RhinoColorDialog (HWND hwndParent, ON_Color &color, bool include_button_colors=false, const wchar_t *dialog_title=nullptr)
use RhinoColorDialogEx
Member RhinoCreateHatches (CArgsRhinoHatch &args, ON_SimpleArray< ON_Hatch * > &results)
use overload that accepts tolerance parameter
Member RhinoGetRevolve (CArgsRhinoRevolve &args, ON_SimpleArray< ON_RevSurface * > &srfs_out)
Obsolete - do not use.
Member RhinoMakePlanarBreps (ON_SimpleArray< const ON_Curve * > &input_loops, ON_SimpleArray< ON_Brep * > &breps, ON_SimpleArray< int > *used=nullptr)
use overload that takes a tolerance
Member RhinoNurbsCurveInterpolant (int degree, const ON_SimpleArray< ON_3dPoint > &Pt, ON_3dPoint *CV1, ON_3dPoint *CVn1, int knot_style=0, ON_NurbsCurve *nurbs_curve=nullptr)
use RhinoInterpCurve
Member RhinoOffsetCurve (const ON_Curve &curve, const ON_3dVector &normal, const ON_3dPoint &origin, double distance, ON_SimpleArray< ON_Curve * > &offset_curves, double tolerance=0.0, double angle_tolerance=0.0, int corner_style=1)
use other version of RhinoOffsetCurve
Member RhinoPointInPlanarClosedCurve (ON_3dPoint point, const ON_Curve &closed_curve, ON_Plane plane)
use overload that accepts tolerance parameter
Member RhinoReadHatchPatternFile (const wchar_t *pFilename, ON_ClassArray< ON_HatchPattern > &hatchPatterns, bool bAllowDuplicates, bool bQuiet)
use overload that has an ON_ObjectArray parameter
Member RhinoSdkBlend::SurfaceBlend (const ON_BrepFace *pF0, const ON_BrepEdge *pE0, ON_Interval domain0, bool bRev0, int continuity0, const ON_BrepFace *pF1, const ON_BrepEdge *pE1, ON_Interval domain1, bool bRev1, int continuity1, ON_SimpleArray< ON_Brep * > &output_surfaces)
Use the form that takes a rhino document
Member RhinoSelectDimstyle (bool interactive)
use overload that takes a CRhinoDoc parameter
Member RhinoSmoothCurve (const ON_Curve *pInput, double dSmoothFactor, bool bXSmooth, bool bYSmooth, bool bZSmooth, bool bFixBoundaries, int nCoordinateSystem)
use the version of RhinoSmoothCurve that accepts a plane parameter
Member RhinoSmoothMesh (const ON_Mesh *pInput, double dSmoothFactor, bool bXSmooth, bool bYSmooth, bool bZSmooth, bool bFixBoundaries, int nCoordinateSystem)
use the version of RhinoSmoothMesh that accepts a plane parameter
Member RhinoSmoothSurface (const ON_Surface *pInput, double dSmoothFactor, bool bXSmooth, bool bYSmooth, bool bZSmooth, bool bFixBoundaries, int nCoordinateSystem)
use the version of RhinoSmoothSurface that accepts a plane parameter
Member RhinoUiDockBarForTab (const CRhinoDoc &doc, const ON_UUID &uuidTabId)
RhinoUiDockBarForTab is obsolete. Use multi-doc capable RhinoUiDockBarsForTab (s after Bar).
Member RhinoUiDockBarTabFromId (const CRhinoDoc &doc, const ON_UUID &uuidTabId)
RhinoUiDockBarTabFromId is obsolete. Use multi-doc capable RhinoUiDockBarTabsFromId (s after Tab).
Member RhinoUiRegisteredDockbarTabs (ON_SimpleArray< ON_UUID > &aTabIds)
Use RhinoUiPanelFactories
Member RhinoUiShowDockbarTab (const CRhinoDoc &doc, const ON_UUID &uuidTabId, bool bShow, const ON_UUID *uuidDockBar=nullptr)
Use the version with bMakeSelected